import { C as CSS, p as plt, w as win, a as promiseResolve, b as bootstrapLazy } from './index-e85a7b06.js';

/*
 Stencil Client Patch Esm v2.12.1 | MIT Licensed | https://stenciljs.com
 */
const patchEsm = () => {
    // NOTE!! This fn cannot use async/await!
    // @ts-ignore
    if (!(CSS && CSS.supports && CSS.supports('color', 'var(--c)'))) {
        // @ts-ignore
        return import(/* webpackChunkName: "polyfills-css-shim" */ './css-shim-17041dc7.js').then(() => {
            if ((plt.$cssShim$ = win.__cssshim)) {
                return plt.$cssShim$.i();
            }
            else {
                // for better minification
                return 0;
            }
        });
    }
    return promiseResolve();
};

const defineCustomElements = (win, options) => {
  if (typeof window === 'undefined') return Promise.resolve();
  return patchEsm().then(() => {
  return bootstrapLazy([["i18n-t",[[1,"i18n-t",{"tData":[1,"t-data"]},[[4,"i18n-update-translations","handleTranslationsUpdate"],[4,"i18n-language-change","handleLanguageChange"]]]]]], options);
  });
};

export { defineCustomElements };
